com.tibco.tibjms.admin

## Class FileStoreInfo

- java.lang.Object
- - com.tibco.tibjms.admin.StoreInfo
  - - com.tibco.tibjms.admin.FileStoreInfo

-     public class FileStoreInfo
      extends StoreInfo

  Class representing information about a server's file-based store.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static FileStoreInfo` | `from(javax.management.openmbean.CompositeData cd)` For Internal use only, may be removed or deprecated in future.
    `long` | `getDestinationDefrag()` Get the maximum batch size for destination defragmentation of queues in this store.
    `long` | `getFileMinimum()` Get the minimum size of the file (the file will pre-allocated at least to that size, if necessary).
    `java.lang.String` | `getFileName()` Get the file name.
    `int` | `getFragmentation()` Get the percentage fragmentation of the store file.
    `long` | `getInUseSpace()` Get the amount of space in the store file that is in use.
    `long` | `getNotInUseSpace()` Get the amount of space in the store file that is not in use.
    `long` | `getSize()` Get the total size of the store file.
    `int` | `getSyncProgress()` Get the current progress of the synchronization of this store file when the server is running in the EMS Appliance.
    `long` | `getWriteRate()` Get the number of bytes written per second.
    `boolean` | `isCRCEnabled()` Indicates whether or not CRC checks are performed for stored data.
    `boolean` | `isSynchronousWriteEnabled()` Indicates whether or not the file is opened in synchronous write mode.
    `boolean` | `isTruncationEnabled()` Indicates whether or not the server will periodically check if there is unused space at the end of the file and, if so, truncate the file.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.tibco.tibjms.admin.StoreInfo

      `getAverageWriteTime, getFileSize, getFreeSpace, getMsgBytes, getMsgCount, getSwappedBytes, getSwappedCount, getUsedSpace, getWriteUsage`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDestinationDefrag

          public long getDestinationDefrag()

      Get the maximum batch size for destination defragmentation of queues in this store.
      Returns:
        the maximum batch size for destination defrag.
      Since:
        EMS 6.1

    - #### getNotInUseSpace

          public long getNotInUseSpace()

      Get the amount of space in the store file that is not in use.
      Returns:
        the number of bytes that are free

    - #### getInUseSpace

          public long getInUseSpace()

      Get the amount of space in the store file that is in use.
      Returns:
        the number of bytes that are in use

    - #### getSize

          public long getSize()

      Get the total size of the store file.
      Returns:
        the size in bytes

    - #### getFragmentation

          public int getFragmentation()

      Get the percentage fragmentation of the store file.
      Returns:
        the percentage (0 - 100) (-1 indicates not available)
      Since:
        EMS 6.0

    - #### getFileName

          public java.lang.String getFileName()

      Get the file name.
      Returns:
        file name

    - #### getFileMinimum

          public long getFileMinimum()

      Get the minimum size of the file (the file will pre-allocated at least to that size, if necessary).
      Returns:
        the size in bytes

    - #### getWriteRate

          public long getWriteRate()

      Get the number of bytes written per second.
      Returns:
        the byte rate.
      Since:
        EMS 6.1

    - #### getSyncProgress

          public int getSyncProgress()

      Get the current progress of the synchronization of this store file when the server is running in the EMS Appliance.
      Returns:
        the synchronization progress percentage as an integer between 0 and 100 or -1 either if no synchronization is ongoing or if requested from a server that is running outside the EMS Appliance
      Since:
        EMS 8.1.0
      See Also:
        `State.SERVER_COMPSTATE_SYNCHRONIZING`

    - #### isCRCEnabled

          public boolean isCRCEnabled()

      Indicates whether or not CRC checks are performed for stored data.
      Returns:
        true if CRC is enabled, false otherwise

    - #### isTruncationEnabled

          public boolean isTruncationEnabled()

      Indicates whether or not the server will periodically check if there is unused space at the end of the file and, if so, truncate the file.
      Returns:
        true if truncation is enabled, false otherwise

    - #### isSynchronousWriteEnabled

          public boolean isSynchronousWriteEnabled()

      Indicates whether or not the file is opened in synchronous write mode.
      Returns:
        true if synchronous mode is enabled, false otherwise

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### from

          public static FileStoreInfo from(javax.management.openmbean.CompositeData cd)
                                    throws java.lang.Exception

      For Internal use only, may be removed or deprecated in future.
      Returns:
        a FileStoreInfo object from CompositeData
      Throws:
        `java.lang.IllegalArgumentException` - if CompositeType does not match or if a null CompositeData is passed.
        `java.lang.Exception`

Copyright © Cloud Software Group, Inc. All rights reserved